--- lib/puppet/provider/service/freebsd.rb.orig
+++ lib/puppet/provider/service/freebsd.rb
@@ -1,9 +1,10 @@
 Puppet::Type.type(:service).provide :freebsd, :parent => :init do
 
-  desc "Provider for FreeBSD. Makes use of rcvar argument of init scripts and parses/edits rc files."
+  desc "Provider for FreeBSD/OpenBSD/NetBSD. Makes use of rcvar argument of init scripts and parses/edits rc files."
+
+  confine :operatingsystem => [:freebsd, :netbsd, :openbsd]
+  defaultfor :operatingsystem => [:freebsd, :netbsd, :openbsd]
 
-  confine :operatingsystem => [:freebsd]
-  defaultfor :operatingsystem => [:freebsd]
 
   @@rcconf = '/etc/rc.conf'
   @@rcconf_local = '/etc/rc.conf.local'
